package edu.kit.ipd.milton.algorithms.changedetection;

import java.util.List;

import edu.kit.ipd.milton.events.Change;

/**
 * 
 * @author aenglhardt
 *
 */
public interface ChangeDetection {

	/**
	 * 
	 * @param ts
	 *            two dimensional time series array with time stamps and value
	 * @return
	 */
	List<Change> detectChanges(double[][] ts);

	/**
	 * Sets new change detection parameter if change detection has a variable
	 * parameter depending of the current time series
	 * 
	 * @param ts
	 *            two dimensional time series array with time stamps and value
	 */
	void setNewParam(double[][] ts);
}
