package edu.kit.ipd.milton.exporter;

import java.io.FileWriter;
import java.io.IOException;
import java.util.LinkedList;
import java.util.List;

import com.opencsv.CSVWriter;

import edu.kit.ipd.milton.measure.MeasureValue;

/**
 * 
 * @author aenglhardt
 *
 */
public class Exporter {
	public static final String HEADER = "file;method;param;numOriginal;numChanged;numPC;numMISS;numFP;"
			+ "errTIME;errSCORE;errPC;errMISS;errPC;errTOTAL";

	private final CSVWriter writer;
	private final List<String[]> exportStrings;

	public Exporter(String exportFile) {
		this.exportStrings = new LinkedList<>();
		try {
			this.writer = new CSVWriter(new FileWriter(exportFile), '\0');
		} catch (IOException e) {
			throw new RuntimeException("Could not start export writer");
		}
		exportStrings.add(new String[] { HEADER });
	}

	public void newError(String fileName, String curScenario, String param, MeasureValue error) {
		String s = fileName + ";" + curScenario + ";" + param + ";" + error.csvExport();
		exportStrings.add(new String[] { s });
	}

	public void finishExport() {
		if (writer != null) {
			writer.writeAll(exportStrings, false);
			try {
				writer.close();
			} catch (IOException e) {
				throw new RuntimeException("Could not close export writer");
			}
		} else {
			throw new RuntimeException("Could not write export");
		}
	}
}
