package edu.kit.ipd.milton.functions;

/**
 * Exponential function a * e^function(x) + b e being the euler's number
 * 
 * @author aenglhardt
 *
 */
public class ExpFunction implements Function {

	private final double a;
	private final Function f;
	private final double b;

	public ExpFunction(double a, Function f, double b) {
		this.a = a;
		this.f = f;
		this.b = b;
	}

	@Override
	public double calc(double x) {
		return a * Math.pow(Math.E, f.calc(x)) + b;
	}
}
