package edu.kit.ipd.milton.pairing;

import edu.kit.ipd.milton.events.Event;
import edu.kit.ipd.milton.measure.ErrorSCORE;
import edu.kit.ipd.milton.measure.ErrorTIME;

/**
 * Distance function like the errPC as proposed in the thesis
 * 
 * @author aenglhardt
 *
 */
public class PairedEventDistanceFunction {

	private final ErrorTIME errorTIME;
	private final ErrorSCORE errorSCORE;

	public PairedEventDistanceFunction(ErrorTIME errorTIME, ErrorSCORE errorSCORE) {
		this.errorTIME = errorTIME;
		this.errorSCORE = errorSCORE;
	}

	public double calcDistance(Event a, Event b) {
		return a.visitError(errorTIME, b) + a.visitError(errorSCORE, b);
	}
}
