package edu.kit.ipd.milton.timeseries;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import edu.kit.ipd.milton.util.ReadWriteHelper;

/**
 * 
 * @author aenglhardt
 *
 */
public class TimeSeries {

	private List<TimeSeriesPoint> points;

	/**
	 * Build a new time series of a csv file
	 * 
	 * @param fileName
	 *            name with path of the time series
	 */
	public TimeSeries(String fileName) {
		this.points = new ArrayList<>();
		final double[][] rawTimeSeries = ReadWriteHelper.readCSVTimeSeries(fileName);
		if (rawTimeSeries.length > 0) {
			double[] values;
			for (int i = 0; i < rawTimeSeries.length; i++) {
				values = Arrays.copyOfRange(rawTimeSeries[i], 1, rawTimeSeries[i].length);
				points.add(new TimeSeriesPoint(rawTimeSeries[i][0], values));
			}
		}
	}

	public TimeSeries(List<TimeSeriesPoint> tsPoints) {
		if (tsPoints == null) {
			throw new RuntimeException();
		}
		this.points = tsPoints;
	}

	public int size() {
		return points.size();
	}

	public List<TimeSeriesPoint> getPoints() {
		return points;
	}

	@Override
	public String toString() {
		return "{" + points + "}";
	}
}
