package edu.kit.ipd.milton.util;

/**
 * Interval normalization options for time and score. Leave null when
 * normalization only on changes is desired
 * 
 * @author aenglhardt
 *
 */
public class IntervalNormalizationOption {

	private final Tuple<Double> timeInterval;
	private final Tuple<Double> scoreInterval;
	private final double epsilon;

	public IntervalNormalizationOption(Tuple<Double> timeInterval, Tuple<Double> scoreInterval, double epsilon) {
		this.timeInterval = timeInterval;
		this.scoreInterval = scoreInterval;
		this.epsilon = epsilon;
	}

	public Tuple<Double> getTimeInterval() {
		return timeInterval;
	}

	public boolean timeIntervalNormalization() {
		if (timeInterval != null)
			return true;
		return false;
	}

	public Tuple<Double> getScoreInterval() {
		return scoreInterval;
	}

	public boolean scoreIntervalNormalization() {
		if (scoreInterval != null)
			return true;
		return false;
	}

	public double getEpsilon() {
		return epsilon;
	}

}
